## gtk_toolPanelWidget

gtk_toolPanelWidget —

## Synopsis

    GtkWidget*  toolPanelNew                    (gchar *id,
                                                 gchar *name,
                                                 gchar *tabName);
    GtkWidget*  toolPanelNew_withIconFromStock  (gchar *id,
                                                 gchar *name,
                                                 gchar *tabName,
                                                 const gchar *stock);
    GtkWidget*  toolPanelNew_withIconFromPath   (gchar *id,
                                                 gchar *name,
                                                 gchar *tabName,
                                                 const gchar *iconPath);
    void        toolPanelAttach                 (ToolPanel *toolPanel,
                                                 DockWindow *dock);
    void        toolPanelDetach                 (ToolPanel *toolPanel);
    void        toolPanelSet_container          (ToolPanel *toolPanel,
                                                 DockWindow *window);
    void        toolPanelSet_containerId        (ToolPanel *toolPanel,
                                                 const gchar *id);
    void        toolPanelSet_dockable           (ToolPanel *toolPanel,
                                                 gboolean value);
    DockWindow* toolPanelGet_container          (ToolPanel *toolPanel);
    const gchar* toolPanelGet_containerId       (ToolPanel *toolPanel);
    GtkWidget*  toolPanelGet_headerWidget       (ToolPanel *toolPanel);
    const gchar* toolPanelGet_id                (ToolPanel *toolPanel);
    const gchar* toolPanelGet_label             (ToolPanel *toolPanel);
    VisuData*   toolPanelGet_visuData           (ToolPanel *toolPanel);

    GList*      toolPanelClassGet_allToolPanels ();
    GList*      toolPanelClassGet_allWindows    ();
    DockWindow* toolPanelClassGet_commandPanel  ();
    DockWindow* toolPanelClassGet_container     (const gchar *id);
    ToolPanel*  toolPanelClassGet_toolPanelById (const gchar *id);
    void        toolPanelClassGet_windowCharacteristics
                                                (DockWindow *dock,
                                                 gchar **id,
                                                 gboolean *visibility,
                                                 gint *x,
                                                 gint *y,
                                                 gint *width,
                                                 gint *height);
    void        toolPanelClassSet_visuData      (VisuData *dataObj);
    void        toolPanelClassSet_windowPosition
                                                (const gchar *id,
                                                 guint x,
                                                 guint y);
    void        toolPanelClassSet_windowSize    (const gchar *id,
                                                 guint width,
                                                 guint height);
    void        toolPanelClassSet_windowVisibility
                                                (const gchar *id,
                                                 gboolean visible);

    typedef     DockWindow;
    GtkWidget*  dockWindowGet_container         (DockWindow *dock);
    GtkWidget*  dockWindowGet_notebook          (DockWindow *dock);

## Description

## Details

### toolPanelNew ()

    GtkWidget*  toolPanelNew                    (gchar *id,
                                                 gchar *name,
                                                 gchar *tabName);

`id` : |
`name` : |
`tabName` : |
Returns : |

### toolPanelNew_withIconFromStock ()

    GtkWidget*  toolPanelNew_withIconFromStock  (gchar *id,
                                                 gchar *name,
                                                 gchar *tabName,
                                                 const gchar *stock);

`id` : |
`name` : |
`tabName` : |
`stock` : |
Returns : |

### toolPanelNew_withIconFromPath ()

    GtkWidget*  toolPanelNew_withIconFromPath   (gchar *id,
                                                 gchar *name,
                                                 gchar *tabName,
                                                 const gchar *iconPath);

`id` : |
`name` : |
`tabName` : |
`iconPath` : |
Returns : |

### toolPanelAttach ()

    void        toolPanelAttach                 (ToolPanel *toolPanel,
                                                 DockWindow *dock);

`toolPanel` : |
`dock` : |

### toolPanelDetach ()

    void        toolPanelDetach                 (ToolPanel *toolPanel);

`toolPanel` : |

### toolPanelSet_container ()

    void        toolPanelSet_container          (ToolPanel *toolPanel,
                                                 DockWindow *window);

`toolPanel` : |
`window` : |

### toolPanelSet_containerId ()

    void        toolPanelSet_containerId        (ToolPanel *toolPanel,
                                                 const gchar *id);

`toolPanel` : |
`id` : |

### toolPanelSet_dockable ()

    void        toolPanelSet_dockable           (ToolPanel *toolPanel,
                                                 gboolean value);

`toolPanel` : |
`value` : |

### toolPanelGet_container ()

    DockWindow* toolPanelGet_container          (ToolPanel *toolPanel);

`toolPanel` : |
Returns : |

### toolPanelGet_containerId ()

    const gchar* toolPanelGet_containerId       (ToolPanel *toolPanel);

`toolPanel` : |
Returns : |

### toolPanelGet_headerWidget ()

    GtkWidget*  toolPanelGet_headerWidget       (ToolPanel *toolPanel);

`toolPanel` : |
Returns : |

### toolPanelGet_id ()

    const gchar* toolPanelGet_id                (ToolPanel *toolPanel);

`toolPanel` : |
Returns : |

### toolPanelGet_label ()

    const gchar* toolPanelGet_label             (ToolPanel *toolPanel);

`toolPanel` : |
Returns : |

### toolPanelGet_visuData ()

    VisuData*   toolPanelGet_visuData           (ToolPanel *toolPanel);

`toolPanel` : |
Returns : |

### toolPanelClassGet_allToolPanels ()

    GList*      toolPanelClassGet_allToolPanels ();

Returns : |

### toolPanelClassGet_allWindows ()

    GList*      toolPanelClassGet_allWindows    ();

Returns : |

### toolPanelClassGet_commandPanel ()

    DockWindow* toolPanelClassGet_commandPanel  ();

Returns : |

### toolPanelClassGet_container ()

    DockWindow* toolPanelClassGet_container     (const gchar *id);

`id` : |
Returns : |

### toolPanelClassGet_toolPanelById ()

    ToolPanel*  toolPanelClassGet_toolPanelById (const gchar *id);

`id` : |
Returns : |

### toolPanelClassGet_windowCharacteristics ()

    void        toolPanelClassGet_windowCharacteristics
                                                (DockWindow *dock,
                                                 gchar **id,
                                                 gboolean *visibility,
                                                 gint *x,
                                                 gint *y,
                                                 gint *width,
                                                 gint *height);

`dock` : |
`id` : |
`visibility` : |
`x` : |
`y` : |
`width` : |
`height` : |

### toolPanelClassSet_visuData ()

    void        toolPanelClassSet_visuData      (VisuData *dataObj);

`dataObj` : |

### toolPanelClassSet_windowPosition ()

    void        toolPanelClassSet_windowPosition
                                                (const gchar *id,
                                                 guint x,
                                                 guint y);

`id` : |
`x` : |
`y` : |

### toolPanelClassSet_windowSize ()

    void        toolPanelClassSet_windowSize    (const gchar *id,
                                                 guint width,
                                                 guint height);

`id` : |
`width` : |
`height` : |

### toolPanelClassSet_windowVisibility ()

    void        toolPanelClassSet_windowVisibility
                                                (const gchar *id,
                                                 gboolean visible);

`id` : |
`visible` : |

### DockWindow

    typedef struct DockWindow_struct DockWindow;

Short name for the structure of containers of ToolPanel.

### dockWindowGet_container ()

    GtkWidget*  dockWindowGet_container         (DockWindow *dock);

`dock` : |
Returns : |

### dockWindowGet_notebook ()

    GtkWidget*  dockWindowGet_notebook          (DockWindow *dock);

`dock` : |
Returns : |